Summary:	XDG user dirs
Name:		xdg-user-dirs
Version:	0.15
%define subrel 1
Release:	%mkrel 7
License:	GPLv2+
Group:		System/Libraries
Url:		http://freedesktop.org/wiki/Software/xdg-user-dirs
Source0:	http://user-dirs.freedesktop.org/releases/%{name}-%{version}.tar.gz
# (tmb) fix for (mga#20882)
Source1:	xdg-user-dirs.desktop
# (fc) 0.8-2mdv use locale encoding on disk, not UTF-8
Patch0:		xdg-user-dirs-0.8-locale.patch
# (fc) 0.8-2mdv disable some default directories
Patch1:		xdg-user-dirs-0.11-mdv.patch
# (fc) 0.8-2mdv migrate old Mdk folders
Patch3:		xdg-user-dirs-0.13-mdkfolders.patch
# (fc) 0.10-2mdv handle HOME overriding pw_dir
Patch4:		xdg-user-dirs-0.10-home.patch
# (fc) use fuzzy translations in order to get localized ~/Downloads folder
Patch5:		xdg-user-dirs-fdo-use-fuzzy.patch
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl

%description
xdg-user-dirs is a tool to help manage "well known" user directories
like the desktop folder and the music folder. It also handles
localization (i.e. translation) of the filenames.

%prep
%autosetup -p1

%build
%configure2_5x

%make_build

# Needed by patch5
cd po
touch *.po
make update-gmo

%install
%makeinstall_std

%find_lang %{name}

# See https://bugs.mageia.org/show_bug.cgi?id=22889
%if 0
mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit.d/
cat > %{buildroot}%{_sysconfdir}/X11/xinit.d/xdg-user-dirs-update << EOF
#!/bin/sh
if [ -x %{_bindir}/xdg-user-dirs-update ]; then
  %{_bindir}/xdg-user-dirs-update
fi
EOF

%endif

mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart/
install -p -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/xdg/autostart

%files -f %{name}.lang
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/xdg/user-dirs.conf
%config(noreplace) %{_sysconfdir}/xdg/user-dirs.defaults
%if 0
%attr(755,root,root) %{_sysconfdir}/X11/xinit.d/xdg-user-dirs-update
%endif
%attr(644,root,root) %{_sysconfdir}/xdg/autostart/xdg-user-dirs.desktop
%{_bindir}/xdg-user-dir
%{_bindir}/xdg-user-dirs-update
%{_mandir}/man1/xdg-user-dir.1.*
%{_mandir}/man1/xdg-user-dirs-update.1.*
%{_mandir}/man5/user-dirs.conf.5.*
%{_mandir}/man5/user-dirs.defaults.5.*
%{_mandir}/man5/user-dirs.dirs.5.*


%changelog
* Fri Apr 13 2018 shlomif <shlomif> 0.15-7.1.mga6
  (not released yet)
+ Revision: 1218459
- fix MGA#22889

* Mon Jul 10 2017 tmb <tmb> 0.15-7.mga6
+ Revision: 1109614
- create default xdg user directories under Gnome Wayland (mga#20882)

* Mon Jan 16 2017 tarakbumba <tarakbumba> 0.15-6.mga6
+ Revision: 1081983
- use fuzzy translations in order to get localized ~/Downloads folder

* Fri Feb 05 2016 umeabot <umeabot> 0.15-5.mga6
+ Revision: 938417
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.15-4.mga5
+ Revision: 741119
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.15-3.mga5
+ Revision: 690579
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.15-2.mga4
+ Revision: 528973
- Mageia 4 Mass Rebuild

* Sun Jun 30 2013 luigiwalser <luigiwalser> 0.15-1.mga4
+ Revision: 448448
- 0.15
- add man pages

* Mon Jan 14 2013 umeabot <umeabot> 0.14-2.mga3
+ Revision: 386714
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 21 2011 ahmad <ahmad> 0.14-1.mga2
+ Revision: 111169
- Update to 0.14

* Tue Jan 11 2011 blino <blino> 0.13-1.mga1
+ Revision: 6391
- imported package xdg-user-dirs

